%define upstream_name    Search-GIN
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Generalized Inverted Indexing for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Search/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Stream::Bulk::Util)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Moose) >= 0.890.0
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::Types::Set::Object)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Scope::Guard)
BuildRequires: perl(Set::Object)
BuildRequires: perl(Test::Deep::NoTest)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::TempDir)
BuildRequires: perl(constant)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(ok)
BuildRequires: perl(overload)
BuildArch:  noarch

%description
This is used by the KiokuDB manpage for custom indexing.

More documentation will be released shortly.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{make}

%check
%{make} test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 16 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 52697
- update to 0.08

* Wed Jan 26 2011 jquelin <jquelin> 0.70.0-2.mga1
+ Revision: 40985
- mageia rebuild
- imported package perl-Search-GIN

